com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Class EngineOperationMode

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.canonicalrulemodel.rulesheet.EngineOperationMode

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class EngineOperationMode
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Engine Operation Mode', and utility methods for working with them.
  See Also:
    `RulesheetPackage.getEngineOperationMode()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IGNORE_LOGICAL_LOOPS` The 'Ignore Logical Loops' literal value
    `static EngineOperationMode` | `IGNORE_LOGICAL_LOOPS_LITERAL` The 'Ignore Logical Loops' literal object
    `static int` | `PROCESS_ALL_LOGICAL_LOOPS` The 'Process All Logical Loops' literal value
    `static EngineOperationMode` | `PROCESS_ALL_LOGICAL_LOOPS_LITERAL` The 'Process All Logical Loops' literal object
    `static int` | `PROCESS_MULTI_RULE_LOGICAL_LOOPS` The 'Process Multi Rule Logical Loops' literal value
    `static EngineOperationMode` | `PROCESS_MULTI_RULE_LOGICAL_LOOPS_LITERAL` The 'Process Multi Rule Logical Loops' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Engine Operation Mode' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EngineOperationMode` | `get(int value)` Returns the 'Engine Operation Mode' literal with the specified integer value
    `static EngineOperationMode` | `get(java.lang.String literal)` Returns the 'Engine Operation Mode' literal with the specified literal value
    `static EngineOperationMode` | `getByName(java.lang.String name)` Returns the 'Engine Operation Mode' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IGNORE_LOGICAL_LOOPS

          public static final int IGNORE_LOGICAL_LOOPS

      The 'Ignore Logical Loops' literal value.

      If the meaning of 'Ignore Logical Loops' literal object isn't clear, there really should be more of a description here...

      See Also:
        `IGNORE_LOGICAL_LOOPS_LITERAL`, Constant Field Values

    - #### PROCESS_ALL_LOGICAL_LOOPS

          public static final int PROCESS_ALL_LOGICAL_LOOPS

      The 'Process All Logical Loops' literal value.

      If the meaning of 'Process All Logical Loops' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PROCESS_ALL_LOGICAL_LOOPS_LITERAL`, Constant Field Values

    - #### PROCESS_MULTI_RULE_LOGICAL_LOOPS

          public static final int PROCESS_MULTI_RULE_LOGICAL_LOOPS

      The 'Process Multi Rule Logical Loops' literal value.

      If the meaning of 'Process Multi Rule Logical Loops' literal object isn't clear, there really should be more of a description here...

      See Also:
        `PROCESS_MULTI_RULE_LOGICAL_LOOPS_LITERAL`, Constant Field Values

    - #### IGNORE_LOGICAL_LOOPS_LITERAL

          public static final EngineOperationMode IGNORE_LOGICAL_LOOPS_LITERAL

      The 'Ignore Logical Loops' literal object.
      See Also:
        `IGNORE_LOGICAL_LOOPS`

    - #### PROCESS_ALL_LOGICAL_LOOPS_LITERAL

          public static final EngineOperationMode PROCESS_ALL_LOGICAL_LOOPS_LITERAL

      The 'Process All Logical Loops' literal object.
      See Also:
        `PROCESS_ALL_LOGICAL_LOOPS`

    - #### PROCESS_MULTI_RULE_LOGICAL_LOOPS_LITERAL

          public static final EngineOperationMode PROCESS_MULTI_RULE_LOGICAL_LOOPS_LITERAL

      The 'Process Multi Rule Logical Loops' literal object.
      See Also:
        `PROCESS_MULTI_RULE_LOGICAL_LOOPS`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Engine Operation Mode' enumerators.

  - ### Method Detail

    - #### get

          public static EngineOperationMode get(java.lang.String literal)

      Returns the 'Engine Operation Mode' literal with the specified literal value.

    - #### getByName

          public static EngineOperationMode getByName(java.lang.String name)

      Returns the 'Engine Operation Mode' literal with the specified name.

    - #### get

          public static EngineOperationMode get(int value)

      Returns the 'Engine Operation Mode' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.